package shichangyingxiao

import "shylinux.com/x/ice"

type userChannel struct{ Table }

func init() { ice.TeamCtxCmd(userChannel{}) }

type UserChannelRole int

const (
	UserChannelVisitor UserChannelRole = iota
	UserChannelCreator
	UserChannelLeader
	UserChannelWorker
	UserChannelServer
)

var UserChannelRoleList = map[UserChannelRole]string{
	UserChannelVisitor: "visitor",
	UserChannelCreator: "creator",
	UserChannelLeader:  "leader",
	UserChannelWorker:  "worker",
	UserChannelServer:  "server",
}

func (s UserChannelRole) String() string { return UserChannelRoleList[s] }
