package zijinlian

import "shylinux.com/x/ice"

type userInvestor struct{ Table }

func init() { ice.TeamCtxCmd(userInvestor{}) }

type UserInvestorRole int

const (
	UserInvestorVisitor UserInvestorRole = iota
	UserInvestorCreator
	UserInvestorLeader
	UserInvestorWorker
	UserInvestorServer
)

var UserInvestorRoleList = map[UserInvestorRole]string{
	UserInvestorVisitor: "visitor",
	UserInvestorCreator: "creator",
	UserInvestorLeader:  "leader",
	UserInvestorWorker:  "worker",
	UserInvestorServer:  "server",
}

func (s UserInvestorRole) String() string { return UserInvestorRoleList[s] }
